io.vertx.rxjava.db2client

## Class DB2Pool

- java.lang.Object
- - io.vertx.rxjava.sqlclient.SqlClient
  - - io.vertx.rxjava.sqlclient.Pool
    - - io.vertx.rxjava.db2client.DB2Pool

-     public class DB2Pool
      extends Pool

  A pool of DB2 connections.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<DB2Pool>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DB2Pool(DB2Pool delegate)`
    `DB2Pool(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `DB2Pool` | `getDelegate()`
    `int` | `hashCode()`
    `static DB2Pool` | `newInstance(DB2Pool arg)`
    `static DB2Pool` | `pool(DB2ConnectOptions connectOptions, PoolOptions poolOptions)` Create a connection pool to the DB2 server configured with the given `connectOptions` and `poolOptions`.
    `static DB2Pool` | `pool(String connectionUri)` Like `pool(java.lang.String)` with a default `poolOptions`.
    `static DB2Pool` | `pool(String connectionUri, PoolOptions poolOptions)` Like `pool(java.lang.String)` with `connectOptions` build from `connectionUri`.
    `static DB2Pool` | `pool(Vertx vertx, DB2ConnectOptions connectOptions, PoolOptions poolOptions)` Like `pool(java.lang.String)` with a specific instance.
    `static DB2Pool` | `pool(Vertx vertx, String connectionUri)` Like `pool(java.lang.String)` with a default `poolOptions`..
    `static DB2Pool` | `pool(Vertx vertx, String connectionUri, PoolOptions poolOptions)` Like `pool(java.lang.String)` with `connectOptions` build from `connectionUri`.
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava.sqlclient.Pool

      `begin, close, getConnection, newInstance, pool, pool, pool, preparedQuery, query, rxBegin, rxGetConnection`

    - ### Methods inherited from class io.vertx.rxjava.sqlclient.SqlClient

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<DB2Pool> __TYPE_ARG

  - ### Constructor Detail

    - #### DB2Pool

          public DB2Pool(DB2Pool delegate)

    - #### DB2Pool

          public DB2Pool(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Pool`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Pool`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Pool`

    - #### getDelegate

          public DB2Pool getDelegate()

      Overrides:
        `getDelegate` in class `Pool`

    - #### pool

          public static DB2Pool pool(String connectionUri)

      Like `pool(java.lang.String)` with a default `poolOptions`.
      Parameters:
        `connectionUri` -
      Returns:

    - #### pool

          public static DB2Pool pool(String connectionUri,
                                     PoolOptions poolOptions)

      Like `pool(java.lang.String)` with `connectOptions` build from `connectionUri`.
      Parameters:
        `connectionUri` -
        `poolOptions` -
      Returns:

    - #### pool

          public static DB2Pool pool(Vertx vertx,
                                     String connectionUri)

      Like `pool(java.lang.String)` with a default `poolOptions`..
      Parameters:
        `vertx` -
        `connectionUri` -
      Returns:

    - #### pool

          public static DB2Pool pool(Vertx vertx,
                                     String connectionUri,
                                     PoolOptions poolOptions)

      Like `pool(java.lang.String)` with `connectOptions` build from `connectionUri`.
      Parameters:
        `vertx` -
        `connectionUri` -
        `poolOptions` -
      Returns:

    - #### pool

          public static DB2Pool pool(DB2ConnectOptions connectOptions,
                                     PoolOptions poolOptions)

      Create a connection pool to the DB2 server configured with the given `connectOptions` and `poolOptions`.
      Parameters:
        `connectOptions` - the options for the connection
        `poolOptions` - the options for creating the pool
      Returns:
        the connection pool

    - #### pool

          public static DB2Pool pool(Vertx vertx,
                                     DB2ConnectOptions connectOptions,
                                     PoolOptions poolOptions)

      Like `pool(java.lang.String)` with a specific instance.
      Parameters:
        `vertx` -
        `connectOptions` -
        `poolOptions` -
      Returns:

    - #### newInstance

          public static DB2Pool newInstance(DB2Pool arg)

Copyright © 2021 Eclipse. All rights reserved.